curl --request PUT \
--url 'https://api.qcall.ai/api/v1/inbound/update?id={id}' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"assistant_id": "<string>",
"dialer_id": "<string>",
"notification": false
}
'import requests
url = "https://api.qcall.ai/api/v1/inbound/update?id={id}"
payload = {
"name": "<string>",
"assistant_id": "<string>",
"dialer_id": "<string>",
"notification": False
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
assistant_id: '<string>',
dialer_id: '<string>',
notification: false
})
};
fetch('https://api.qcall.ai/api/v1/inbound/update?id={id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"assistant_id": "<string>",
"dialer_id": "<string>",
"assistant_name": "<string>",
"phone_number": "<string>",
"incoming_count": 123,
"notification": true
}{
"error": 123,
"message": "<string>"
}Update Inbound
Updates an existing inbound assistant identified by the supplied ID. You can rename the inbound assistant or re-bind it to a different assistant and/or dialer phone number.
id.
You can rename the inbound, re-bind it to a different assistant and/or dialer phone number, or toggle the notification flag (true/false) to enable or disable notifications for incoming calls. Provide the full request body with the fields you want to keep or change.Authorizations
Query Parameters
The ID of the inbound assistant to update
Body
Inbound assistant fields to update
The name of the inbound assistant
ID of the assistant (or IVR assistant) that will handle the inbound calls
ID of the dialer whose phone number receives the inbound calls
Whether to enable notifications for incoming calls handled by this inbound assistant
Response
Inbound assistant response
Unique identifier of the inbound assistant
The display name of the inbound assistant
ID of the assistant that answers the inbound calls
ID of the dialer that provides the phone number
Name of the linked assistant
Phone number the inbound assistant is attached to
Number of incoming calls handled by this inbound assistant
Whether notifications are enabled for incoming calls handled by this inbound assistant

